#ifndef __BACKDROP_H
#define __BACKDROP_H

class MCBackdrop
{
public:
	virtual ~MCBackdrop(void) = 0;

	virtual void enable(void) = 0;
	virtual void disable(void) = 0;

	virtual void setpattern(Pixmap p_pattern) = 0;
	virtual void setcolour(const MCColor& p_colour) = 0;
	virtual void setbadge(Pixmap p_badge) = 0;
	
	virtual void managewindow(Window p_window) = 0;
	virtual void unmangewindow(Window p_window) = 0;
};

#endif
